package com.liquidnet.service.merchant.service;

import com.liquidnet.service.base.PagedResult;
import com.liquidnet.service.merchant.dto.vo.MerchantFieldCheckersVo;
import com.liquidnet.service.merchant.dto.vo.MerchantFieldsVo;

import java.util.List;

public interface IMerchantFieldsService {
    PagedResult<MerchantFieldsVo> search(String name, int page, int size);

    MerchantFieldsVo fieldInfo(String uid, String fieldId);

    void editIsCheck(String uid, String fieldId, int isCheck);


    List<MerchantFieldCheckersVo> checkers(String cuid, String fieldId);

    void checkerAdd(String cuid, String fieldId, String uid, String mobile, String name);

    void checkerDel(String cuid, String fieldId, String uid);
}
